# $Revision: 1.29 $, $Date: 2002/04/11 14:21:40 $
Summary:	NNTP server for small sites
Summary(pl):	Serwer NNTP dla maych hostw
Name:		leafnode
Version:	1.9.19
Release:	2
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://wpxx02.toxi.uni-wuerzburg.de/pub/%{name}-%{version}.tar.gz
Source1:	%{name}.texpire
Source2:	%{name}.config
Source3:	%{name}.filters
Source4:	%{name}.rc-inetd
Patch0:		%{name}-noroot.patch
URL:		http://www.leafnode.org/
BuildRequires:	autoconf
BuildRequires:	pcre-devel
Requires:	inetdaemon
Prereq:		rc-inetd
Provides:	nntpserver
Obsoletes:	leafnode+
Conflicts:	inn
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leafnode is a USENET package intended for small sites, where there are
few users and little disk space, but where a large number of groups is
desired.

The design of leafnode is intended to self-repair after problems, and
to require no manual maintenance.

%description -l de
Leafnode ist ein offline-Newsserver, der vor allem fr den typischen
Einzelnutzer-Rechner ohne permanente Internetanbindung geeignet ist.
Leafnode bezieht automatisch die Newsgroups, die der oder die Nutzer
regelmaessig lesen, vom Newsserver des Providers.

%description -l pl
Leafnode to serwer USENET przeznaczony dla maych hostw, gdzie jest
niewielu uytkownikw i mao miejsca na dyskach ale dua liczba grup
usenet jest podana.

leafnode jest zaprojektowany jako samo-naprawiajcy si i nie
wymagajcy rcznego zarzdzania.

%prep
%setup -q
%patch0 -p1

%build
autoconf
%configure \
	--with-ipv6

%{__make} LIBDIR=%{_sysconfdir}/%{name} \
	LOCKFILE=%{_var}/lock/news/fetch.lck \
	DEBUG="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{{cron.daily,%{_name}},sysconfig/rc-inetd}

%{__make} install \
	PREFIX_USR=$RPM_BUILD_ROOT%{_prefix} \
	PREFIX_VAR=$RPM_BUILD_ROOT%{_var} \
	LIBDIR=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	LOCKFILE=$RPM_BUILD_ROOT%{_var}/lock/news/fetch.lck \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/texpire
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/config
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/leafnode/filters
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/leafnode

gzip -9nf ChangeLog README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc *.gz tools/archivefaq.pl update.sh
%attr(755,root,root) /etc/cron.daily/texpire
%attr(755,news,news) %dir %{_sysconfdir}/%{name}
%attr(600,news,news) %config %{_sysconfdir}/%{name}/config
%attr(600,news,news) %config %{_sysconfdir}/%{name}/filters
%attr(640,root,root) /etc/sysconfig/rc-inetd/leafnode
%attr(644,root,root) %{_mandir}/man*/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_bindir}/*
%attr(755,news,news) %dir  %{_var}/lock/news
%attr(2775,news,news) %dir %{_var}/spool/news
%attr(775,news,news) %dir  %{_var}/spool/news/*
%attr(775,news,news) %dir  %{_var}/spool/news/message.id/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: leafnode.spec,v $
Revision 1.29  2002/04/11 14:21:40  qboosh
- Obsoletes: leafnode+, Conflicts: inn; release 2

Revision 1.28  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/12/09 16:01:02  misiek
- added BR: pcre-devel

Revision 1.25  2001/12/09 15:56:12  misiek
- update to 1.9.19

Revision 1.24  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.23  2001/10/11 13:01:20  qboosh
- BuildRequires: autoconf

Revision 1.22  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.21  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.19  2001/05/02 16:29:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2001/03/21 22:32:18  kloczek
- merge de %description found in MDK spec file.

Revision 1.17  2001/03/21 22:30:00  kloczek
- rewrited - probably now it will be more useable and also now is compliant
  with our spec writing standards.

Revision 1.16  2001/03/21 15:46:29  mis
- updated (by autoup) to 1.9.18

Revision 1.15  2001/01/24 13:51:13  waszi
- changed owner /usr/sbin/leafnode to root.news

Revision 1.14  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.13  2000/09/23 23:12:04  areq
- updated to 1.9.17

Revision 1.12  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.10  2000/04/08 23:52:00  zagrodzki
- provides: nntpserver (to avoid using conflicts: ... many, many times)

Revision 1.9  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.7  2000/03/23 10:15:20  cieciwa
- fixed description.

Revision 1.6  2000/01/06 15:12:57  jajcus
- version 1.9.9

Revision 1.5  1999/10/11 07:04:01  waszi
- small fixes

Revision 1.4  1999/10/06 06:54:22  waszi
-support for rc-inetd

Revision 1.3  1999/08/23 13:30:54  misiek
with-ipv6 instead of enable-ipv6

Revision 1.2  1999/08/23 13:10:03  misiek
added:
- IPv6 fix by me
- headers fix by Artur Frysiak

Revision 1.1  1999/07/21 14:06:45  misiek
initial spec

* Fri Jul 16 1999 Arne Coucheron <arneco@online.no>
  [1.9.3-1]
- INSTALL and update.sh file added to %doc
- changed URL: tag
- changed Group tag: to comply with RH 6.0
- changed %description

* Sat Mar 06 1999 Arne Coucheron <arneco@online.no>
  [1.9.2-1]

* Wed Feb 17 1999 Arne Coucheron <arneco@online.no>
  [1.9-2]
- remove the old texpire.cron file

* Tue Feb 16 1999 Arne Coucheron <arneco@online.no>
  [1.9-1]
- moved config files to /etc/leafnode
- added a sample filters file
- removed procedure for upgrading from older versions
- changed name of texpire.cron to just texpire

* Mon Jan 03 1999 Arne Coucheron <arneco@online.no>
  [1.8.1-1]
- patch removed, fixed in sources

* Fri Dec 18 1998 Arne Coucheron <arneco@online.no>
  [1.8-1]
- added patch for missing <sys/types.h> in filterutil.c

* Thu Dec 10 1998 Arne Coucheron <arneco@online.no>
  [1.7.1-1]

* Mon Dec 07 1998 Arne Coucheron <arneco@online.no>
  [1.7-1]

* Thu Nov 05 1998 Arne Coucheron <arneco@online.no>
  [1.6.2-2]
- %doc dir was not readable by ordinary users, fixed!
- made config file readable by owner only, to prevent unauthorized users
  from getting hold of passwords

* Fri Oct 23 1998 Arne Coucheron <arneco@online.no>
  [1.6.2-1]

* Wed Oct 14 1998 Arne Coucheron <arneco@online.no>
  [1.6.1-1]
- can someone please send me a patch to get rid of all the LOG_DEBUG
  messages so that the operation of leafnode can be speeded up

* Thu Sep 10 1998 Arne Coucheron <arneco@online.no>
  [1.5-2]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- added patches from Michael Schwendt <sidplay@geocities.com>

* Thu May 07 1998 Arne Coucheron <arneco@online.no>
  [1.5-1]
- cleaned out older changelogs
- some adjustments to the spec file
